Bug 485458 - audacious-libs should own the General/ directory
audacious-libs should own the General/ directory
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: audacious (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ralf Ertzinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 11:59 EST by Milos Jakubicek
Modified: 2009-06-06 10:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-06 10:35:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Jakubicek 2009-02-13 11:59:28 EST
Description of problem:

The package audacious-libs should own the General/ directory instead of audacious-plugins so that additional plugins (which rpm-automagically depend on audacious-libs) can be installed there without needing to own the directory.
(I'm currently packaging one such plugin, see bug 483025)

Version-Release number of selected component (if applicable):

audacious-1.5.1-5.fc10.x86_64
Comment 1 Michael Schwendt 2009-06-04 16:29:43 EDT
Could you elaborate on what you're trying to achieve?

audacious-plugins-imms requires audacious (or even audacious%{?_isa}) or else it's useless. audacious in turn requires the base plugins package as without it the player is useless.

It's the main player that loads the plugins. It's the base plugins package that provides the plugin tree. The two packages have a circular dependency out of convenience.

Theoretically, an external app could use the audacious plugins, too, but individual plugins may not need the audacious libs.
Comment 2 Milos Jakubicek 2009-06-06 10:35:15 EDT
Look like I missed the important fact that audacious requires audacious-plugins, Michael, sorry for the noise:(

Note You need to log in before you can comment on or make changes to this bug.